Installation on Android/Termux

Hi, one of the six people who use swipl on Android, here. When installing through apt or pkg, I get the following errors:
ERROR: /data/data/com.termux/files/usr/lib/swipl/library/editline.pl:66: ERROR: /data/data/com.termux/files/usr/lib/swipl/library/editline.pl:66: Initialization goal raised exception: ERROR: dlopen failed: library "libedit.so" not found ERROR: In: ERROR: [43] throw(error(shared_object(open,'dlopen failed: library "libedit.so" not found'),context(...,_7634))) ERROR: [41] <meta call> ERROR: [40] with_mutex('$foreign',load_foreign_library(foreign(libedit4pl),editline,default(install))) <foreign> ERROR: [37] '$run_init_goal'(shlib:load_foreign_library(...)) at /home/builder/.termux-build/swi-prolog/build/home/boot/init.pl:686 ERROR: [36] catch(system:'$run_init_goal'(...),_7772,system:'$initialization_error'(_7794,...,...)) at /home/builder/.termux-build/swi-prolog/build/home/boot/init.pl:457 ERROR: [35] catch_with_backtrace(system:'$run_init_goal'(...),_7830,system:'$initialization_error'(_7852,...,...)) at /home/builder/.termux-build/swi-prolog/build/home/boot/init.pl:506 ERROR: ERROR: Note: some frames are missing due to last-call optimization. ERROR: Re-run your program in debug mode (:- debug.) to get more detail. ERROR: Exported procedure editline:el_read_history/2 is not defined ERROR: Exported procedure editline:el_write_history/2 is not defined ERROR: Exported procedure editline:el_add_history/2 is not defined ERROR: Exported procedure editline:el_addfn/4 is not defined ERROR: Exported procedure editline:el_history/2 is not defined ERROR: Exported procedure editline:el_deletestr/2 is not defined ERROR: Exported procedure editline:el_insertstr/2 is not defined ERROR: Exported procedure editline:el_line/2 is not defined ERROR: Exported procedure editline:el_cursor/2 is not defined ERROR: Exported procedure editline:el_history_events/2 is not defined ERROR: Exported procedure editline:el_wrapped/1 is not defined ERROR: Exported procedure editline:el_unwrap/1 is not defined ERROR: Exported procedure editline:el_wrap/4 is not defined ERROR: Exported procedure editline:el_source/2 is not defined ERROR: Exported procedure editline:el_bind/2 is not defined ERROR: [Thread 1]: exception handler failed to define editline:el_wrapped/1 Exception: (27) editline:el_wrapped(user_input) ? abort Warning: Execution Aborted % Execution Aborted

When installing from the curl command on the website, I get this:
CANNOT LINK EXECUTABLE "swipl": library "libswipl.so" not found

Any way to fix this from my end? And could we get a fix pushed?